Package org.jfree.layouting.input.style.parser

## Class URLInputSource

- java.lang.Object
- - org.w3c.css.sac.InputSource
  - - org.jfree.layouting.input.style.parser.URLInputSource

-     public class URLInputSource
      extends org.w3c.css.sac.InputSource

  Creation-Date: 23.11.2005, 18:22:34
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `URLInputSource​(java.net.URL url)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close​()` |
    `java.net.URL` | `getUrl​()` |

    - ### Methods inherited from class org.w3c.css.sac.InputSource

      `getByteStream, getCharacterStream, getEncoding, getMedia, getTitle, getURI, setByteStream, setCharacterStream, setEncoding, setMedia, setTitle, setURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLInputSource

          public URLInputSource​(java.net.URL url)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### close

          public void close​()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getUrl

          public java.net.URL getUrl​()